<?php

#
# Form E-Mail 3.5 - config.php
#
# Konfiguration fuer Form E-Mail
#
# Autor:            Patrick Canterino <patrick@patshaping.de>
# Letzte Aenderung: 06.02.2012
#
# Copyright (C) 2002-2012 Patrick Canterino
#
# Diese Datei kann unter den Bedingungen der "Artistic License 2.0"
# weitergegeben und / oder veraendert werden.
# Siehe:
# http://www.opensource.org/licenses/artistic-license-2.0
#

# Empfaenger - wichtigste Einstellung

$mailto  = '';
$aliases = array();

# Allgemeines

$default_subject = 'E-Mail geliefert von Form E-Mail';
$friendly_sender = 2;
$line_break      = 0;
$add_header      = 1;
$timeformat      = '%d.%m.%Y um %H:%M:%S';
$return_url      = '';
$allowed_envs    = array('HTTP_USER_AGENT','REMOTE_ADDR');
$charset         = 'iso-8859-1';
$timezone        = 'Europe/Berlin';

# Laengenueberpruefung

$name_min    = 0;
$subject_min = 0;
$text_min    = 0;

$name_max    = 0;
$subject_max = 0;
$text_max    = 0;

# Individuelle Felder

# Hier eine Beispiel-Definition
# Eine Beschreibung finden Sie in der ReadMe-Datei

/*
$user_fields['beruf']['min'] = 5;
$user_fields['beruf']['max'] = 10;
$user_fields['beruf']['required'] = 1;
$user_fields['beruf']['regex'] = '/^[A-Za-z]+$/';
$user_fields['beruf']['check'] = 'check_beruf';
$user_fields['beruf']['prepare'] = 'prepare_beruf';
$user_fields['beruf']['tpl_var'] = 'BERUF';

$user_fields['beruf']['errors']['too_short'] = 'Der Beruf muss mind. 5 Zeichen lang sein!';
$user_fields['beruf']['errors']['too_long'] = 'Der Beruf darf hchstens 10 Zeichen lang sein!';
$user_fields['beruf']['errors']['not_set'] = 'Sie haben keinen Beruf eingegeben!';
$user_fields['beruf']['errors']['match_fail'] = 'Der Beruf darf nur aus Buchstaben bestehen!';
$user_fields['beruf']['errors']['check_fail'] = 'Der Beruf sollte keine  haben!';

# Beispiel-Check-Funktion

function check_beruf($content) {
    if(strpos($content,'') !== false) return false;
    if(strpos($content,'') !== false) return false;
    if(strpos($content,'') !== false) return false;
    
    return true;
}

# Beispiel-Vorbereitungs-Funktion

function prepare_beruf($content) {
    return strtolower($content);
}
*/

# Sicherheit

$check_referer = 0;
$referer_ok    = '';

# Mails speichern

$store_mails        = 0;
$store_mails_dir    = 'stored_mails';
$store_mails_prefix = 'feml_';
$store_mails_max    = 10;

# Captcha

$captcha_enable     = 0;
$captcha_case       = 1;
$captcha_max        = 0;
$captcha_length     = 6;
$captcha_width      = 120;
$captcha_height     = 40;
$captcha_angle      = array(-5,10);
$captcha_x          = array(5,30);
$captcha_y          = array(30,35);
$captcha_possible   = 'ABCDEFGHJKLMNPRSTUVWXYZabcdefghijkmnpqrstuvwxyz23456789';
$captcha_font       = 'XFILES.TTF';
$captcha_font_size  = 15;
$captcha_lines      = 4;
$captcha_color_bg   = array(255,255,255);
$captcha_color_text = array(0,0,0);
$captcha_image_bg   = '';

# Fehlermeldungen

$err_nothing        = 'Es wurden keine Daten eingeben!';
$err_no_name        = 'Sie haben keinen Namen angegeben!';
$err_no_email       = 'Sie haben keine E-Mail-Adresse angegeben!';
$err_invalid_email  = 'Die von Ihnen eingegebene E-Mail-Adresse ist ung&uuml;ltig!';
$err_no_text        = 'Sie haben keinen Text f&uuml;r die E-Mail eingegeben!';

$err_name_short     = 'Der eingegebene Name ist zu kurz!';
$err_subject_short  = 'Der eingegebene Betreff ist zu kurz!';
$err_text_short     = 'Der eingegebene Text ist zu kurz!';

$err_name_long      = 'Der eingegebene Name ist zu lang!';
$err_subject_long   = 'Der eingegebene Betreff ist zu lang!';
$err_text_long      = 'Der eingegebene Text ist zu lang!';

$err_send_error     = 'Beim Versenden der Mail ist ein Fehler aufgetreten!';
$err_store_error    = 'Beim Speichern der Mail ist ein Fehler aufgetreten! Die Mail wurde jedoch korrekt versendet.';
$err_only_post      = 'Dieser Form-Mailer kann nur mit POST aufgerufen werden.';
$err_referer_not_ok = 'Der im HTTP-Referer angegebene Host darf keine Mails versenden.';

$err_indiv_errmsg_miss = 'Die Fehlermeldung <em>{ERRMSG}</em> fr das individuelle Formularfeld <em>{INDIVIDUAL}</em> wurde nicht definiert!';

$err_captcha_incorrect       = 'Der eingegebene Sicherheitscode ist nicht korrekt!';
$err_captcha_max             = 'Sie haben den Sicherheitscode zu oft falsch eingegeben!';
$err_captcha_disabled        = 'Captchas sind nicht aktiviert!';
$err_captcha_session_failure = 'Keine gltige Session!';

# Templates

$tpl_mail       = 'mail.txt';
$tpl_sent       = 'sent.htm';
$tpl_user_error = 'user_error.htm';
$tpl_fatal      = 'fatal.htm';

#
### Ende ###

?>